Unsubscribe
Check unsubscribe group membership
Returns the unsubscribe groups that an email address has unsubscribed from, optionally limited to a specified set of groups.
Returns the unsubscribe groups that an email address has unsubscribed from, optionally limited to a specified set of groups.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
email*string
groupIds?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/unsubscribe-groups/check?email=string"{ "email": "string", "unsubscribedGroups": [ { "groupId": "string", "groupName": "string", "unsubscribedAt": "string" } ]}Related documentation
Add contacts to an unsubscribe group
Adds one or more email addresses to an unsubscribe group and returns the number added and the number skipped.
Create an unsubscribe group
Creates a new unsubscribe group and returns it with a 201 Created status. Use this endpoint to create an unsubscribe group through the Samva email API.